# Firefox

V tomto repozitáři najdete vylepšenou výchozí konfiguraci [prohlížeče **Firefox**](https://firefox.com) zaměřenou na ochranu soukromí a lepší zážitek z prohlížení. Kromě toho tu najdete také doporučené **vyhledávače** a různé **doplňky** do prohlížeče.

### 🟩  Konfigurace

V repozitáři se nachází soubor `prefs.js`, který obsahuje spoustu základních nastavení prohlížeče. Stačí jej překopírovat do **nově vytvořeného profilu** ve Firefoxu. Doporučuji si soubor prvně prohlédnout a případně upravit, všechna nastavení jsou tam přehledně popsána.

**Instalace**:
1. Otevřete stránku `about:profiles` ve Firefoxu a **vytvořte nový profil** tlačítkem v horní části stránky.
2. **Najděte složku s profilem** (většinou ve složce `.mozilla/firefox`), případně ji otevřete tlačítkem na stránce.
3. Do složky s ID a názvem profilu (bude se jmenovat např. `9fvj15qv.default`) **nakopírujte soubor** `prefs.js`.

Tato konfigurace zvyšuje vaše soukromí, ale zároveň zachovává dobrou kompatibilitu s weby. Doporučuji nastavit si také **rozšířenou ochranu proti sledování**, kterou najdete v nastavení v záložce `Soukromí a zabezpečení`.

Pokud potřebujete nejvyšší soukromí a anonymitu, podívejte se na [pokročilou konfiguraci arkenfox](https://github.com/arkenfox/user.js) a pro ještě lepší soukromí a zabezpečení využijte [prohlížeč Tor](https://torproject.org).

### 🟧  Vyhledávač

Pro ochranu vašeho soukromí není dobré používat vyhledávače jako je Google či Bing a podobné, jelikož o uživatelích sbírají spousty dat které využívají k cílení reklam. Vybral jsem několik vyhledávačů, které by vám mohly vyhovovat a respektují i chrání vaše soukromí.

> 🔷 [**Brave Search**](https://search.brave.com)
> - Rychlý a soukromý vyhledávač s vlastním indexem.
> - Dobrý na vyhledávání v angličtině a částečně i v češtině.
> - [search.brave.com](https://search.brave.com) | dostupný [přes Tor](https://search.brave4u7jddbv7cyviptqjc7jusxh72uik7zt6adtckl5f4nwy2v72qd.onion)

> 🔷 [**Startpage**](https://startpage.com/)
> - Rychlé a anonymní vyhledávání přes Google.
> - Výsledky přebírá z Googlu, proto jsou tam téměř stejné.
> - [www.startpage.com](https://startpage.com)

> 🔷 [**DuckDuckGo**](https://duckduckgo.com/)
> - Soukromý vyhledávač, který vás nesleduje.
> - Využívá výsledky z Bingu, které však nemusí všem vyhovovat.
> - [www.duckduckgo.com](https://duckduckgo.com/) | dostupný [přes Tor](https://duckduckgogg42xjoc72x3sjasowoarfbgcmvfimaftt6twagswzczad.onion/)

### 🟪  Rozšíření

V této sekci najdete rozšíření *nejen* pro Firefox, která zlepší vaše soukromí a zjednoduší vám prohlížení.

Všechna zde uvedená rozšíření jsou open-source.

**Doporučená rozšíření**, která nesmí chybět

> 🔷 [**uBlock Origin**](https://addons.mozilla.org/addon/ublock-origin/)
> - Efektivní blokovač reklam, sledovačů, malwaru a dalšího nechtěného obsahu.

**Užitečná rozšíření**, která se mohou hodit

> 🔷 [**Bitwarden**](https://addons.mozilla.org/addon/bitwarden-password-manager/)
> - Bezpečný, open-source a bezplatný správce hesel, který je možno self-hostovat.

> 🔷 [**Panorama Tab Groups**](https://addons.mozilla.org/addon/panorama-tab-groups/)
> - Rozšíření na snadné seskupování a organizaci velkého množství panelů.

> 🔷 [**Dark Reader**](https://addons.mozilla.org/addon/darkreader/)
> - Vynucení tmavého motivu na každé webové stránce.

> 🔷 [I still don't care about cookies](https://addons.mozilla.org/addon/istilldontcareaboutcookies/)
> - Rozšíření na zbavení se otravných hlášek ohledně cookies.

> 🔷 [IPvFoo](https://addons.mozilla.org/addon/ipvfoo-pmarks/)
> - Zobrazení IP vzdálených serverů, ke kterým se připojujete.

**Další rozšíření**, která stojí za zmínku

- [Firefox Translations](https://addons.mozilla.org/addon/firefox-translations/) - lokální a soukromý překladač stránek
- [SponsorBlock](https://addons.mozilla.org/addon/sponsorblock/) - blokování sponzorovaných segmentů na YouTube
- [Firefox Color](https://addons.mozilla.org/addon/firefox-color/) - přizpůsobení barev prohlížeče

### 🟥  Není Firefox pro vás?

Pokud vám Firefox nevyhovuje, můžete vyzkoušet prohlížeč **Brave**.

Je postavený na stejném jádru, jako Chrome, takže může být snazší si zvyknout na jeho ovládání. Kromě toho obsahuje spoustu dalších užitečných funkcí a je taktéž zaměřen na ochranu vašeho soukromí.

Získat jej můžete na stránkách [www.brave.com](https://brave.com).